#include<fstream>
using namespace std;
int u(int x,int y)
{
	if(y==1) return x;
	else return x*u(x,y-1);
}
int s(int n)
{
	if(n==1) return 1;
	else return u(n,2)+s(n-1);
}
int main()
{
	ifstream f1("DQU.INP");
	ofstream f2("DQU.OUT");
	int n;
	f1>>n;
	f2<<s(n);
	f1.close();
	f2.close();
	return 0;
}
